USE mysql;

REPLACE INTO user (host, user, password)
    VALUES (
        'localhost',
        'wmail',
-- IMPORTANT: Change this password!
        PASSWORD('wmail')
);

REPLACE INTO db (host, db, user, select_priv, insert_priv, update_priv,
                 delete_priv, create_priv, drop_priv, index_priv)
    VALUES (
        'localhost',
        'wmail',
        'wmail',
        'Y', 'Y', 'Y', 'Y',
        'Y', 'Y', 'Y'
);

FLUSH PRIVILEGES;

CREATE DATABASE wmail;

CREATE TABLE addressbook (
  id int(11) NOT NULL auto_increment,
  account varchar(255) NOT NULL default '',
  nick varchar(255) NOT NULL default '',
  name varchar(255) default NULL,
  email varchar(255) NOT NULL default '',
  remarks text,
  UNIQUE KEY id (id),
  KEY account (account)
) TYPE=MyISAM;

CREATE TABLE alias (
  id int(11) NOT NULL auto_increment,
  account varchar(255) NOT NULL default '',
  name varchar(255) default NULL,
  aliasname varchar(255) NOT NULL default '',
  isdefault enum('t','f') NOT NULL default 'f',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

CREATE TABLE attribute (
  id int(11) NOT NULL auto_increment,
  account varchar(250) NOT NULL default '',
  attribute varchar(250) NOT NULL default '',
  value text NOT NULL,
  PRIMARY KEY  (account,attribute),
  KEY id (id)
) TYPE=MyISAM;

CREATE TABLE indexes (
  account varchar(250) NOT NULL default '',
  id varchar(250) NOT NULL default '',
  sread enum('t','f') NOT NULL default 'f',
  sent enum('t','f') NOT NULL default 'f',
  nmsg int(11) NOT NULL default '0',
  tmsg int(11) NOT NULL default '0',
  KEY account (account,id)
) TYPE=MyISAM;

CREATE TABLE session (
  id int(11) NOT NULL auto_increment,
  sessionid varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  value text NOT NULL,
  sorder tinyint(4) NOT NULL default '0',
  KEY id (id)
) TYPE=MyISAM;
