<?
/*******************************************************************************
*    WMail 1.0. Webmail for PHP                                                *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

/*******************************************************************************
* Server identification!                                                       *
* change the name with the result of the command:                              *
*                                                                              *
*                  uname -n                                                    *
*                                                                              *
* Then, for every configuration, write right data.                             *
*******************************************************************************/

$unames  = posix_uname();
switch($unames[nodename])
  {
    case 'myserver.tld':
      // General
      $dbHost               = 'localhost';
      $dbUser               = 'wmail';
      $dbPass               = 'wmail';
      $dataBase             = 'wmail';
      $tmpDir               = '/tmp';
      $languages            = array('de_DE' => 'Deutsch',
                                    'en_US' => 'English',
                                    'it_IT' => 'Italiano');
    break;
  }
$localeDir                  = $DOCUMENT_ROOT.'../locale';
$authSystem                 = $DOCUMENT_ROOT.'../conf/auth.php';

/*******************************************************************************
* To add a new menu item, simply add a new entry to the $myMenu array.         *
* Valid attributes for a new menu item are:                                    *
*                                                                              *
*  'url'       The URL value for the menu item.                                *
*  'text'      The text to accompany the menu item.                            *
*                                                                              *
* These attributes are optional:                                               *
*                                                                              *
*  'icon'      The filename of an icon to use for the menu item.               *
*  'icon_path' The path to the icon if it doesn't exist in the images/         *
*              directory.                                                      *
*  'target'    The "target" of the link (e.g. '_top', '_blank').               *
*  'onclick'   Any JavaScript to execute on the "onclick" event.               *
*                                                                              *
* Here's an example entry:                                                     *
*                                                                              *
*  $myMenu[] = array(                                                          *
*      'url' =>        'http://www.example.com/',                              *
*      'text' =>       'Example, Inc.',                                        *
*      'icon' =>       'example.png',                                          *
*      'icon_path' =>  'http://www.example.com/images/',                       *
*      'target' =>     '_blank',                                               *
*      'onclick' =>    ''                                                      *
*  );                                                                          *
*******************************************************************************/

$myMenu = array();

function getCurAcc($auth, $setMailbox)
{
  foreach($auth->getAccounts() as $acc)
  {
    if($setMailbox == '')
    {
      if($acc['IsDefault'] == 't')
        $curAcc = $acc;
    }
    else
    {
      if($acc['Name'] == $setMailbox)
        $curAcc = $acc;
    }
  }

  return($curAcc);
}
?>
